## Update ScheduledEventConfiguration

### cURL

```bash
curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/scheduledevents/configurations/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data ' \
{
  "name": "scheduled.bill.enddateEvent",
  "entity": "Bill",
  "field": "endDate",
  "offset": 5
}
'```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/scheduledevents/configurations/{id}"

payload = {
    "name": "scheduled.bill.enddateEvent",
    "entity": "Bill",
    "field": "endDate",
    "offset": 5
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'scheduled.bill.enddateEvent',
    entity: 'Bill',
    field: 'endDate',
    offset: 5
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/scheduledevents/configurations/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response
#### Successful Responses

- **200 OK** 
    - Returns the updated ScheduledEventConfiguration.
    - Example Response:
    ```json
    {
      "id": "<string>",
      "name": "10 days after bill due date",
      "entity": "Bill",
      "field": "dueDate",
      "offset": 10,
      "version": 123,
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
    ```

- **4XX/5XX Errors** 
    - Example Error Response:
    ```json
    {
      "message": "<string>"
    }
    ```

### Request Parameters
#### Header Parameters
- **Authorization**: `string` (required)
   - Bearer token for authorization.

#### Body Parameters
| Parameter | Type       | Description                                                                            |
|-----------|------------|----------------------------------------------------------------------------------------|
| name      | string     | The name of the custom Scheduled Event Configuration.                                   |
| entity    | string     | The referenced configuration or billing entity for which the scheduled event will trigger. |
| field     | string     | A DateTime field for triggering the scheduled event on the referenced entity.              |
| offset    | integer    | The offset in days from the specified DateTime field when the event will trigger.       |
| version   | integer    | The version number of the entity - must match the existing version for updates.         |
